/*
 * PSP Software Development Kit - http://www.pspdev.org
 * -----------------------------------------------------------------------
 * Licensed under the BSD license, see LICENSE in PSPSDK root for details.
 *
 */
#include <pspkernel.h>
#include <pspdebug.h>
#include <pspdisplay.h>
#include <pspsdk.h>
#include <pspctrl.h>
#include <stdio.h>
#include <string.h>

PSP_MODULE_INFO("REMOTE", 0x1000, 1, 1);
/* Define the main thread's attribute value (optional) */
PSP_MAIN_THREAD_ATTR(0);

int main(void)
{
	pspDebugScreenInit();

	sceCtrlSetSamplingCycle(0);
	sceCtrlSetSamplingMode(PSP_CTRL_MODE_ANALOG);

	/* Initialise SIO and install a kprintf handler */
	pspDebugSioInit();
    
    /* change the baud rate to 38400 */
    pspDebugSioSetBaud(38400);
    // pspDebugSioInstallKprintf();

	/* Install a stdout handler */
	// pspDebugInstallStdoutHandler(pspDebugSioPutData);

	// Kprintf("Hi from %s!\n", "Kprintf");
	// printf("Also hi from stdio\r\n");

	pspDebugScreenPrintf("PSP GPSlim 236 test - Press X to exit\n");
	sceDisplayWaitVblankStart();

	while(1)
	{
        SceCtrlData pad;

		sceCtrlReadBufferPositive(&pad, 1);
		if(pad.Buttons & PSP_CTRL_CROSS)
		{
			break;
		}

        int ch;
		ch = pspDebugSioGetchar();
		if((ch >= 0) && (ch != '\r'))
		{
			pspDebugScreenPrintf("%c", ch);
		}

		// sceDisplayWaitVblankStart();
	}

	sceKernelExitGame();

	return 0;
}
